Subject: Re: bug#45821: Emacs UDP support on Windows

From: Robert Pluim <[email-masked]>
Date: Wed, 04 May 2022 14:32:50 +0200

>>>>> On Wed, 4 May 2022 11:50:02 +0000, Alex Matei <[email-masked]> said:

    Alex> Thanks Robert!
    Alex> I would like to give it a shot! How can I get started and have the patch applied?
    Alex> I imagine I would need to build Emacs myself and manually apply the patch? Or is it a branch / commit that I can use?

Yes, you'd need a git checkout of Emacs, to apply the patch, and then
build and test the result. There are build instructions for MS-Windows
in nt/INSTALL and nt/INSTALL.W64 in the Emacs source tree.

`dns-query' can be used to test UDP, and M-x eww can test TCP and TLS
(and thereʼs the test suite as well).

Once itʼs all working, post the updated patch here in the bug and it
will get reviewed.

Good luck!

Robert
--